# Class goog.testing.AsyncTestCase.ControlBreakingException

code »

An exception class used solely for control flow.

## Constructor

goog.testing.AsyncTestCase.ControlBreakingException ( opt_message )

Parameters

opt_message: `string=`
  Error message.

Show:Public Protected Private

## Instance Methods

code »toString ( ) ⇒ `string`

## Instance Properties

code »isControlBreakingException : `boolean`

Marks this object as a ControlBreakingException

code »message : `string`

The exception message.

## Static Properties

code »goog.testing.AsyncTestCase.ControlBreakingException.TO_STRING : `string`

Return value for .toString().